%global mod_name Whoosh

%bcond_with doc

Name:           python-whoosh
Version:        2.7.4
Release:        %mkrel 7
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
License:        BSD
Group:          Development/Python
URL:            http://pythonhosted.org/Whoosh/
Source0:        https://pypi.python.org/packages/source/W/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%package -n python3-whoosh
Summary:        Fast, pure-Python full text indexing, search, and spell checking library
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif
%{?python_provide:%python_provide python3-whoosh}

%description -n python3-whoosh
Whoosh is a fast, featureful full-text indexing and searching library
implemented in pure Python. Programmers can use it to easily add search
functionality to their applications and websites. Every part of how Whoosh
works can be extended or replaced to meet your needs exactly.

%prep
%setup -q -n %{mod_name}-%{version}

%build
%py3_build

%if %{with doc}
sphinx-build-%{python3_version} docs/source docs/html
rm -f docs/html/.buildinfo
rm -rf docs/html/.doctrees
%endif

%install
%py3_install

%files -n python3-whoosh
%if %{with doc}
%doc docs/html/
%endif
%doc README.txt LICENSE.txt
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/whoosh


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.7.4-7.mga8
+ Revision: 1531420
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 2.7.4-6.mga8
+ Revision: 1440226
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 05 2019 wally <wally> 2.7.4-5.mga7
+ Revision: 1349789
- rebuild for python3.7 without docs

* Thu Nov 01 2018 kekepower <kekepower> 2.7.4-4.mga7
+ Revision: 1327230
- Renamed python-whoosh to python2-whoosh
- Use python_provides
- Modernized BRs

* Fri Sep 21 2018 umeabot <umeabot> 2.7.4-3.mga7
+ Revision: 1290570
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.7.4-2.mga7
+ Revision: 1135693
- Rebuild for python 3.6

* Wed May 11 2016 dglent <dglent> 2.7.4-1.mga6
+ Revision: 1012415
- Version 2.7.4

* Fri Feb 19 2016 umeabot <umeabot> 2.7.0-3.mga6
+ Revision: 971006
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7.0-2.mga6
+ Revision: 888910
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Tue Jun 23 2015 dglent <dglent> 2.7.0-1.mga6
+ Revision: 839968
- Version 2.7.0

* Wed Oct 15 2014 umeabot <umeabot> 2.5.7-2.mga5
+ Revision: 748244
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 2.5.7-1.mga5
+ Revision: 730951
- imported package python-whoosh

